Accounts
Create account
Section titled “Create account”Create a new account. Returns the account details and your first API key.
POST /v1/accountsAuthentication: None required.
Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
email | string | Yes | Account email address |
name | string | No | Display name |
curl -X POST https://api.skytale.sh/v1/accounts \ -H "Content-Type: application/json" \Response 200
Section titled “Response 200”{ "account": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Alice", "plan_tier": "free" }, "api_key": "sk_live_a1b2c3d4e5f6..."}The api_key field contains the full key — save it immediately. It will not be shown again.
Errors
Section titled “Errors”| Status | Error | Cause |
|---|---|---|
400 | email is required | Missing or empty email field |
Get current account
Section titled “Get current account”Retrieve the authenticated account’s details.
GET /v1/accounts/meAuthentication: Required (API key or JWT).
skytale accountcurl https://api.skytale.sh/v1/accounts/me \ -H "Authorization: Bearer sk_live_a1b2c3d4..."Response 200
Section titled “Response 200”{ "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Alice", "plan_tier": "free"}Errors
Section titled “Errors”| Status | Error | Cause |
|---|---|---|
401 | missing authorization header | No auth header provided |
401 | invalid or revoked api key | API key not found or revoked |
404 | Not found | Account does not exist |